Bug 985134 - SELinux is preventing /usr/bin/Xorg from unix_read, unix_write access on the shared memory .
SELinux is preventing /usr/bin/Xorg from unix_read, unix_write access on the ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f30f835991b1e8b89cfab24acc6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 18:04 EDT by lgwalts
Modified: 2016-02-05 19:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lgwalts 2013-07-16 18:04:26 EDT
Description of problem:
lock screen
SELinux is preventing /usr/bin/Xorg from unix_read, unix_write access on the shared memory .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that Xorg should be allowed unix_read unix_write access on the  shm by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep Xorg /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ shm ]
Source                        Xorg
Source Path                   /usr/bin/Xorg
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-Xorg-1.14.2-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-16 16:58:17 CDT
Last Seen                     2013-07-16 16:58:17 CDT
Local ID                      f79bb705-7aca-48c9-adf4-b95bf5411876

Raw Audit Messages
type=AVC msg=audit(1374011897.357:605): avc:  denied  { unix_read unix_write } for  pid=760 comm="Xorg" key=0  scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=shm


type=SYSCALL msg=audit(1374011897.357:605): arch=x86_64 syscall=shmat success=no exit=EACCES a0=8f0000 a1=0 a2=0 a3=1 items=0 ppid=479 pid=760 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=Xorg exe=/usr/bin/Xorg subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: Xorg,xdm_t,unconfined_t,shm,unix_read,unix_write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport

Potential duplicate: bug 804237
Comment 1 Miroslav Grepl 2013-07-17 05:03:58 EDT
Are you able to reproduce it if you re-login?
Comment 2 lgwalts 2013-07-17 15:13:16 EDT
Description of problem:
start smplayer

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 3 Daniel Walsh 2013-07-26 14:22:34 EDT
Looks like you have Xorg running as xdm_t rather then xserver_t

What login program are you using?
Comment 4 lgwalts 2016-02-05 19:05:47 EST
fixed in subsequent release

Note You need to log in before you can comment on or make changes to this bug.